'use strict';

var _electron = require('electron');

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _followRedirects = require('follow-redirects');

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _crossUnzip = require('cross-unzip');

var _crossUnzip2 = _interopRequireDefault(_crossUnzip);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var downloadChromeExtension = function downloadChromeExtension(chromeStoreID, forceDownload) {
  if (!_electron.remote) {
    return Promise.reject('Chrome extensions can not be installed from the main process');
  }
  var savePath = _electron.remote.app.getPath('userData');
  var extensionsStore = _path2.default.resolve(savePath + '/extensions');
  if (!_fs2.default.existsSync(extensionsStore)) {
    _fs2.default.mkdirSync(extensionsStore);
  }
  var extensionFolder = _path2.default.resolve(extensionsStore + '/' + chromeStoreID);
  return new Promise(function (resolve, reject) {
    if (!_fs2.default.existsSync(extensionFolder) || forceDownload) {
      (function () {
        if (_fs2.default.existsSync(extensionFolder)) {
          _fs2.default.rmdirSync(extensionFolder);
        }
        var fileURL = 'https://clients2.google.com/service/update2/crx?response=redirect&x=id%3D' + chromeStoreID + '%26uc&prodversion=32'; // eslint-disable-line
        var download = _fs2.default.createWriteStream(_path2.default.resolve(extensionFolder + '.crx'));
        _followRedirects.https.get(fileURL, function (response) {
          response.pipe(download).on('close', function () {
            (0, _crossUnzip2.default)(_path2.default.resolve(extensionFolder + '.crx'), extensionFolder, function (err) {
              if (err) return reject(err);
              resolve(extensionFolder);
            });
          });
        }).on('error', function (err) {
          reject(err);
        });
      })();
    } else {
      resolve(extensionFolder);
    }
  });
};

module.exports = function (chromeStoreID) {
  var forceDownload = arguments.length <= 1 || arguments[1] === undefined ? false : arguments[1];
  return downloadChromeExtension(chromeStoreID, forceDownload).then(function (extensionFolder) {
    return Promise.resolve(_electron.remote.BrowserWindow.addDevToolsExtension(extensionFolder));
  });
};